public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/spideroak-bin/
Date: Tue, 10 Oct 2023 03:04:09 +0000 (UTC)	[thread overview]
Message-ID: <1696906988.946e67651bcc4ab04eb0fbdcf92f2750f95c8c86.sam@gentoo> (raw)

commit:     946e67651bcc4ab04eb0fbdcf92f2750f95c8c86
Author:     Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Sun Oct  1 22:30:23 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 10 03:03:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=946e6765

app-backup/spideroak-bin: update EAPI 6 -> 8

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../spideroak-bin/spideroak-bin-7.5.0-r3.ebuild    | 111 +++++++++++++++++++++
 1 file changed, 111 insertions(+)

diff --git a/app-backup/spideroak-bin/spideroak-bin-7.5.0-r3.ebuild b/app-backup/spideroak-bin/spideroak-bin-7.5.0-r3.ebuild
new file mode 100644
index 000000000000..294133dc1899
--- /dev/null
+++ b/app-backup/spideroak-bin/spideroak-bin-7.5.0-r3.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop prefix unpacker
+
+DESCRIPTION="Secure free online backup, storage, and sharing system"
+HOMEPAGE="https://spideroak.com"
+
+SRC_URI_BASE="https://spideroak.com/release/spideroak"
+SRC_URI="
+	x86? ( ${SRC_URI_BASE}/deb_x86 -> ${P}_x86.deb )
+	amd64? ( ${SRC_URI_BASE}/deb_x64 -> ${P}_amd64.deb )
+"
+S="${WORKDIR}"
+
+RESTRICT="mirror strip"
+
+LICENSE="spideroak"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbus X"
+
+BDEPEND="dev-util/patchelf"
+RDEPEND="
+	app-crypt/mit-krb5[keyutils]
+	media-libs/libpng-compat:1.2
+	dbus? ( sys-apps/dbus )
+	X? (
+		media-libs/fontconfig
+		media-libs/freetype:2
+		dev-libs/glib:2
+		x11-libs/libICE
+		x11-libs/libSM
+		x11-libs/libX11
+		x11-libs/libXext
+		x11-libs/libXmu
+		x11-libs/libXrender
+		x11-libs/libXt
+	)
+"
+
+QA_PREBUILT="*"
+
+src_prepare() {
+	# Set RPATH for preserve-libs handling (bug #400979).
+	cd "${S}/opt/SpiderOakONE/lib" || die
+	local x
+	for x in $(find) ; do
+		# Use \x7fELF header to separate ELF executables and libraries
+		[[ -f ${x} && $(od -t x1 -N 4 "${x}") == *"7f 45 4c 46"* ]] || continue
+		patchelf --set-rpath '$ORIGIN' "${x}" || \
+			die "patchelf failed on ${x}"
+	done
+
+	# Remove the libraries that break compatibility in modern systems
+	# SpiderOak will use the system libs instead
+	rm -f "${S}/opt/SpiderOakONE/lib/libstdc++.so.6" || die
+	rm -f "${S}/opt/SpiderOakONE/lib/libgcc_s.so.1" || die
+	rm -f "${S}/opt/SpiderOakONE/lib/libpng12.so.0" || die
+	rm -f "${S}/opt/SpiderOakONE/lib/libz.so.1" || die
+
+	eapply_user
+}
+
+src_install() {
+	hprefixify usr/bin/SpiderOakONE
+
+	# Install the wrapper script
+	exeinto /usr/bin
+	doexe usr/bin/SpiderOakONE
+
+	# inotify_dir_watcher needs to be marked executable, bug #453266
+	#chmod a+rx opt/SpiderOakONE/lib/inotify_dir_watcher
+
+	# Install the executable
+	exeinto /opt/SpiderOakONE/lib
+	doexe opt/SpiderOakONE/lib/SpiderOakONE
+	doexe opt/SpiderOakONE/lib/inotify_dir_watcher
+	rm -f opt/SpiderOakONE/lib/{SpiderOakONE,inotify_dir_watcher} || die
+
+	# Install the prebundled libraries
+	insinto /opt/SpiderOakONE
+	doins -r opt/SpiderOakONE/lib
+
+	# Install the config files
+	if ! use dbus; then
+		rm -rf etc/dbus-1 || die
+	fi
+
+	insinto /
+	doins -r etc
+
+	# Install the manpage
+	gzip -d usr/share/man/man1/SpiderOakONE.1.gz || die
+	doman usr/share/man/man1/SpiderOakONE.1
+
+	if use X; then
+		domenu usr/share/applications/SpiderOakONE.desktop
+		doicon usr/share/pixmaps/SpiderOakONE.png
+	fi
+}
+
+pkg_postinst() {
+	if ! use X; then
+		einfo "For instructions on running SpiderOakONE without a GUI, please read the FAQ:"
+		einfo "  https://spideroak.com/faq/questions/62/how_do_i_install_spideroak_on_a_headless_linux_server/"
+		einfo "  https://spideroak.com/faq/questions/67/how_can_i_use_spideroak_from_the_commandline/"
+	fi
+}


             reply	other threads:[~2023-10-10  3:04 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-10  3:04 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-11-12 17:35 [gentoo-commits] repo/gentoo:master commit in: app-backup/spideroak-bin/ Andreas Sturmlechner
2023-10-10  3:04 Sam James
2023-01-28 20:24 Michał Górny
2022-10-18  3:27 Sam James
2019-11-08  6:48 Michał Górny
2019-03-22 22:30 Anthony G. Basile
2019-03-22 22:30 Anthony G. Basile
2018-10-28  2:01 Anthony G. Basile
2018-06-25 23:25 Anthony G. Basile
2018-02-09 13:39 Anthony G. Basile
2018-01-02 23:56 Anthony G. Basile
2017-12-15  7:38 Anthony G. Basile
2017-11-10 22:25 Anthony G. Basile
2017-08-06 18:21 Anthony G. Basile
2017-07-29 11:36 Anthony G. Basile
2017-07-29  9:09 Anthony G. Basile
2017-07-29  9:09 Anthony G. Basile
2017-06-30 11:10 Agostino Sarubbo
2017-06-28 13:19 Agostino Sarubbo
2017-06-05 23:10 Anthony G. Basile
2017-04-03 21:46 Anthony G. Basile
2016-06-11 16:48 Anthony G. Basile
2016-06-11 16:46 Anthony G. Basile
2016-04-03 22:04 Anthony G. Basile
2015-09-04 10:39 Anthony G. Basile
2015-09-04 10:37 Anthony G. Basile
2015-09-04  0:36 Anthony G. Basile
2015-08-18 11:13 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1696906988.946e67651bcc4ab04eb0fbdcf92f2750f95c8c86.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox